function extractData() {
	$.post(getRootPath() + "/exportClaimData2/extractData.do", {}, function(data) {
		alert("抽取数据成功！");}
	);
}

//动态改变日期输入框name值
function changedate(){
	var oSelect = document.getElementById("datetype");
	var oInputStart = document.getElementById("start");
	var oInputEnd = document.getElementById("end");
	oInputStart.name = "start"+oSelect.value;
	oInputEnd.name = "end"+oSelect.value; 
 }

function doSubmit() {
	var url = getRootPath() + "/exportClaimData2/queryClaimData2AndCon.do" ;
	document.forms["form"].action = url;
	var flag = true;
	if (($("#zggsname").val() != "") || ($("#claimstate").val() != "") || ($("#classtype").val() != "")) {
		if (($("#start").val() == "" || $("#end").val() == "" || $("#datetype").val() == "")) {
			alert("请输入日期类型及统计期间");
			flag = false;
		}
	}
	
	if($("#datetype").val() != ""){
		if($("input[name='startregdate']").val() =="" || $("input[name='endregdate']").val() == ""){
			alert("请输入立案开始时间与结束时间");
			flag = false;
		}
		if($("input[name='startenddate']").val() =="" || $("input[name='endenddate']").val() == ""){
			alert("请输入结案开始时间与结束时间");
			flag = false;
		}
		if($("input[name='endcreatedate']").val() =="" || $("input[name='startcreatedate']").val() == ""){
			alert("请输入报案池开始时间与结束时间");
			flag = false;
		}
		if($("input[name='startreceiptdate']").val() =="" || $("input[name='endreceiptdate']").val() == ""){
			alert("请输入收单开始时间与结束时间");
			flag = false;
		}
	}else{
		if($("input[name='start']").val() != "" && $("input[name='end']").val() != ""){
			alert("请选择日期类型");
			flag = false;
		}
		if($("input[name='start']").val() != ""){
			if($("input[name='end']").val() == ""){
				alert("请选择起止时间及日期类型");
				flag = false;
			}
		}
		if($("input[name='end']").val() != ""){
			if($("input[name='start']").val() == ""){
				alert("请选择起止时间及日期类型");
				flag = false;
			}
		}
	}
	if (flag) {
		document.forms["form"].submit();
	} 
}

function go(){
	var url = getRootPath() + "/exportClaimData2/excelExportClaimData2.do" ;
	document.forms["form"].action = url;
	document.forms["form"].submit();
}

//翻页
function cur_skip(s,e){
	var pn = $(e).find("span").html();
	var policyno = $("#policyno").val();   //保单号
	var claimeventno = $("#claimeventno").val();   //事件号
	var zggsname = $("#zggsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	
	if(s=="1"){
	SkipByPost("queryClaimData2AndCon.do",{
		pageNo:pn,
		policyno : policyno,
		claimeventno : claimeventno,
		zggsname : zggsname,
		claimbatchno : claimbatchno,
		batchno : batchno,
		claimnobpo : claimnobpo,
		claimno : claimno,
		claimstate : claimstate,
		classtype : classtype,
		startregdate : startregdate,
		endregdate : endregdate,
		startenddate : startenddate,
		endenddate : endenddate,
		startcreatedate : startcreatedate,
		endcreatedate : endcreatedate,
		startreceiptdate : startreceiptdate,
		endreceiptdate : endreceiptdate,
		datetype : datetype
	});
	}
	else if(s=="2"){
	SkipByPost("queryClaimData2AndCon.do",{pageNo:pn});
	}
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var policyno = $("#policyno").val();   //保单号
	var claimeventno = $("#claimeventno").val();   //事件号
	var zggsname = $("#zggsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	
	if(cur==1){
		return;
	}	
	if(cur>1){
	var pre = Number(cur)-Number(1);		
	if(s=="1"){
		SkipByPost("queryClaimData2AndCon.do",{
			pageNo:pre,
			policyno : policyno,
			claimeventno : claimeventno,
			zggsname : zggsname,
			claimbatchno : claimbatchno,
			batchno : batchno,
			claimnobpo : claimnobpo,
			claimno : claimno,
			claimstate : claimstate,
			classtype : classtype,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			startcreatedate : startcreatedate,
			endcreatedate : endcreatedate,
			startreceiptdate : startreceiptdate,
			endreceiptdate : endreceiptdate,
			datetype : datetype
		});
		}
		else if(s=="2"){
		SkipByPost("queryClaimData2AndCon.do",{pageNo:pre});
		}
	}
}
//下一页

function next(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	var policyno = $("#policyno").val();   //保单号
	var claimeventno = $("#claimeventno").val();   //事件号
	var zggsname = $("#zggsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	
	if(parseInt(cur)==parseInt(maxPage)){			
		return;
	}
	if(parseInt(cur)<parseInt(maxPage)){
		if(s=="1"){
			SkipByPost("queryClaimData2AndCon.do",{
				pageNo:next,
				policyno : policyno,
				claimeventno : claimeventno,
				zggsname : zggsname,
				claimbatchno : claimbatchno,
				batchno : batchno,
				claimnobpo : claimnobpo,
				claimno : claimno,
				claimstate : claimstate,
				classtype : classtype,
				startregdate : startregdate,
				endregdate : endregdate,
				startenddate : startenddate,
				endenddate : endenddate,
				startcreatedate : startcreatedate,
				endcreatedate : endcreatedate,
				startreceiptdate : startreceiptdate,
				endreceiptdate : endreceiptdate,
				datetype : datetype
			});
			}
			else if(s=="2"){
			SkipByPost("queryClaimData2AndCon.do",{pageNo:next});
			}
	}
}

//跳转至
function custom(s){		
	
	var maxPage = $("#max").val();
	var pn = $.trim($("#turn_inp").val());
	var policyno = $("#policyno").val();   //保单号
	var claimeventno = $("#claimeventno").val();   //事件号
	var zggsname = $("#zggsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	
	if(isNaN(pn)){
		return ;
	}
	if(pn == "") {
		return;
	}
	if(Number(pn)==0){
		return;
	}	
	if(Number(pn) > Number(maxPage)){
		return;
	}	
	if(s=="1"){
		SkipByPost("queryClaimData2AndCon.do",{
			pageNo:Number(pn),
			policyno : policyno,
			claimeventno : claimeventno,
			zggsname : zggsname,
			claimbatchno : claimbatchno,
			batchno : batchno,
			claimnobpo : claimnobpo,
			claimno : claimno,
			claimstate : claimstate,
			classtype : classtype,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			startcreatedate : startcreatedate,
			endcreatedate : endcreatedate,
			startreceiptdate : startreceiptdate,
			endreceiptdate : endreceiptdate,
			datetype : datetype
		});
		}
		else if(s=="2"){
		SkipByPost("queryClaimData2AndCon.do",{pageNo:Number(pn)});
		}
}
